package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmTableCodeRule.entity.MdmTableCodeRuleEntity;

import java.util.List;

public class MdmDbVo {

    //单据编码规则
    private List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList;
    //主数据主表
    private MdmModuleDbEntity mainMdmModuleDb;
    //主数据子表
    private List<MdmModuleDbEntity> sublistMdmModuleDb;



    public List<MdmTableCodeRuleEntity> getMdmTableCodeRuleEntityList() {
        return mdmTableCodeRuleEntityList;
    }

    public void setMdmTableCodeRuleEntityList(List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList) {
        this.mdmTableCodeRuleEntityList = mdmTableCodeRuleEntityList;
    }

    public MdmModuleDbEntity getMainMdmModuleDb() {
        return mainMdmModuleDb;
    }

    public void setMainMdmModuleDb(MdmModuleDbEntity mainMdmModuleDb) {
        this.mainMdmModuleDb = mainMdmModuleDb;
    }

    public List<MdmModuleDbEntity> getSublistMdmModuleDb() {
        return sublistMdmModuleDb;
    }

    public void setSublistMdmModuleDb(List<MdmModuleDbEntity> sublistMdmModuleDb) {
        this.sublistMdmModuleDb = sublistMdmModuleDb;
    }
}

